; $Id: diag.pro,v 1.3 2007/01/26 11:48:19 mugnier Exp $ 
; Copyright (c) L. Mugnier, ONERA, 2007.
;
; This software is copyright ONERA.
; The author is Laurent Mugnier.
; E-mail: mugnier at onera.fr
;
; This software is a computer program whose purpose is to compute a diagonal
; matrix.
;
; This software is governed by the CeCILL-C license under French law and
; abiding by the rules of distribution of free software. You can use, modify
; and/ or redistribute the software under the terms of the CeCILL-C license as
; circulated by CEA, CNRS and INRIA at the following URL
; "http://www.cecill.info".
;
; As a counterpart to the access to the source code and  rights to copy,
; modify and redistribute granted by the license, users are provided only
; with a limited warranty  and the software's author,  the holder of the
; economic rights,  and the successive licensors  have only  limited
; liability. 
;
; In this respect, the user's attention is drawn to the risks associated
; with loading,  using,  modifying and/or developing or reproducing the
; software by the user in light of its specific status of free software,
; that may mean  that it is complicated to manipulate,  and  that  also
; therefore means  that it is reserved for developers  and  experienced
; professionals having in-depth computer knowledge. Users are therefore
; encouraged to load and test the software's suitability as regards their
; requirements in conditions enabling the security of their systems and/or 
; data to be ensured and,  more generally, to use and operate it in the 
; same conditions as regards security. 
;
; The fact that you are presently reading this means that you have had
; knowledge of the CeCILL-C license and that you accept its terms.
;
FUNCTION diag, diagonale, VERSION = version, HELP = help

;+
;NOM :
;   DIAG - cre une matrice diagonale
;   
;CATEGORIE :
;   Array Creation Routines
;
;SYNTAXE :
;   matrice=DIAG(diagonale [, /VERSION] [, /HELP])
;
;DESCRIPTION :
;   DIAG calcule une matrice de diagonale son argument, du mme type que
;   l'argument.
;   
;   ARGUMENTS :
;
;   diagonale : diagonale de la matrice.  
;
;   /VERSION : (entre) affichage de la version avant l'excution.
;   
;   /HELP    : (entre) affichage de la syntaxe et sortie du programme.
;
;DIAGNOSTIC D'ERREUR :
;   
;
;VOIR AUSSI :
;   
;
;AUTEUR :
;   $Author: mugnier $
;
;HISTORIQUE :
;   $Log: diag.pro,v $
;   Revision 1.3  2007/01/26 11:48:19  mugnier
;   Added copyright and CeCILL-C license in source.
;
;   Revision 1.2  2005/05/25 12:40:32  mugnier
;   Main de test.
;
;   Revision 1.1  2002-11-08 11:32:56+01  mugnier
;   Initial revision
;
;-

on_error,2
IF keyword_set(version) THEN $
    printf, -2, '% '+routine_courante()+': $Revision: 1.3 $, $Date: 2007/01/26 11:48:19 $'

IF (n_params() NE 1) OR keyword_set(help) THEN BEGIN 
    message, 'Aide demande ou syntaxe incorrecte. Documentation :', /INFO
    doc_library, routine_courante()
    retall
ENDIF

NP = n_elements(diagonale)

matrice = make_array(NP, NP, type = code(diagonale))

matrice[(NP+1L)*indgen(NP)] = diagonale

return, matrice

END

;; Exemple :

d=indgen(4)
print, 'Diagonale :', d

END
